## Create **post** `/api/account/webhooks` Add new webhooks to the account. Webhooks are appended to existing ones. ### Body Parameters - `webhooks: array of string or WebhookConfiguration` Array of webhook URLs or webhook objects - `UnionMember0 = string` - `WebhookConfiguration = object { url, secret }` - `url: string` Webhook endpoint URL for receiving callbacks - `secret: optional string` Secret for webhook signature verification - `globalSecret: optional string` Global secret for webhook signature verification - `type: optional "receive" or "line_blocked" or "line_assigned" or 4 more` Type of webhook to add - `"receive"` - `"line_blocked"` - `"line_assigned"` - `"outbound"` - `"typing_indicator"` - `"call_log"` - `"contact_created"` ### Returns - `message: optional string` - `status: optional string` - `webhooks: optional object { call_log, contact_created, globalSecret, 5 more }` - `call_log: optional array of string or WebhookConfiguration` Webhooks for call log events - `UnionMember0 = string` - `WebhookConfiguration = object { url, secret }` - `url: string` Webhook endpoint URL for receiving callbacks - `secret: optional string` Secret for webhook signature verification - `contact_created: optional array of string` Webhooks for contact created events (URL strings only) - `globalSecret: optional string` Global secret applied to all webhooks - `line_assigned: optional array of string or WebhookConfiguration` Webhooks for line assigned events - `UnionMember0 = string` - `WebhookConfiguration = object { url, secret }` - `url: string` Webhook endpoint URL for receiving callbacks - `secret: optional string` Secret for webhook signature verification - `line_blocked: optional array of string or WebhookConfiguration` Webhooks for line blocked events - `UnionMember0 = string` - `WebhookConfiguration = object { url, secret }` - `url: string` Webhook endpoint URL for receiving callbacks - `secret: optional string` Secret for webhook signature verification - `outbound: optional array of string or WebhookConfiguration` Webhooks for outbound message status updates - `UnionMember0 = string` - `WebhookConfiguration = object { url, secret }` - `url: string` Webhook endpoint URL for receiving callbacks - `secret: optional string` Secret for webhook signature verification - `receive: optional array of string or WebhookConfiguration` Webhooks for inbound message events - `UnionMember0 = string` - `WebhookConfiguration = object { url, secret }` - `url: string` Webhook endpoint URL for receiving callbacks - `secret: optional string` Secret for webhook signature verification - `typing_indicator: optional array of string or WebhookConfiguration` Webhooks for typing indicator events - `UnionMember0 = string` - `WebhookConfiguration = object { url, secret }` - `url: string` Webhook endpoint URL for receiving callbacks - `secret: optional string` Secret for webhook signature verification ### Example ```http curl https://api.sendblue.co/api/account/webhooks \ -H 'Content-Type: application/json' \ -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \ -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET" \ -d '{ "webhooks": [ "https://example.com" ] }' ```